Loading...
Searching...
No Matches
dma_buf_allocator.cpp File Reference

dma-buf allocator More...

`#include "libcamera/internal/dma_buf_allocator.h"`
`#include <array>`
`#include <fcntl.h>`
`#include <sys/ioctl.h>`
`#include <sys/mman.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <linux/dma-buf.h>`
`#include <linux/dma-heap.h>`
`#include <linux/udmabuf.h>`
`#include <libcamera/base/log.h>`
`#include <libcamera/base/memfd.h>`
`#include <libcamera/base/shared_fd.h>`
`#include <libcamera/framebuffer.h>`
Include dependency graph for dma_buf_allocator.cpp:

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

dma-buf allocator